SND_PCM_PERIOD_ELAPS(9)

NAME
snd_pcm_period_elapsed - update the pcm status for the next period

SYNOPSIS

void snd_pcm_period_elapsed(struct snd_pcm_substream * substream);

ARGUMENTS

substream
    the pcm substream instance

DESCRIPTION

This function is called from the interrupt handler when the PCM has processed the period size. It will update the current pointer, wake up sleepers, etc.

Even if more than one periods have elapsed since the last call, you have to call this only once.

COPYRIGHT